> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-feature-integrate-google-analytics.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# /v0/ans-entries/by-party/{party}

> If present, the first ANS entry for user `party` according to
`name` lexicographic order.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/ans-entries/by-party/{party}
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://example.com/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/ans-entries/by-party/{party}:
    get:
      tags:
        - external
        - scan
      summary: /v0/ans-entries/by-party/{party}
      description: |
        If present, the first ANS entry for user `party` according to
        `name` lexicographic order.
      operationId: lookupAnsEntryByParty
      parameters:
        - name: party
          description: The user party ID that holds the ANS entry.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LookupEntryByPartyResponse'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    LookupEntryByPartyResponse:
      type: object
      required:
        - entry
      properties:
        entry:
          $ref: '#/components/schemas/AnsEntry'
    AnsEntry:
      type: object
      required:
        - user
        - name
        - url
        - description
      properties:
        contract_id:
          description: |
            If present, Daml contract ID of template `Splice.Ans:AnsEntry`.
            If absent, this is a DSO-provided entry for either the DSO or an SV.
          type: string
        user:
          description: Owner party ID of this ANS entry.
          type: string
        name:
          description: The ANS entry name.
          type: string
        url:
          description: Either empty, or an http/https URL supplied by the `user`.
          type: string
        description:
          description: Arbitrary description text supplied by `user`; may be empty.
          type: string
        expires_at:
          description: |
            Time after which this ANS entry expires; if renewed, it will have a
            new `contract_id` and `expires_at`.
            If `null` or absent, does not expire; this is the case only for
            special entries provided by the DSO.
          type: string
          format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````